From 4ab3cbeef1b1e86a87347b0c2816ab8fb24a0a36 Mon Sep 17 00:00:00 2001
From: yopito <pierre.bourgin@free.fr>
Date: Fri, 5 Jul 2019 23:54:20 +0200
Subject: [PATCH] passwordsafe: update to 1.08.1BETA

---
 srcpkgs/passwordsafe/patches/__time64_t.patch | 22 ++++++++++
 srcpkgs/passwordsafe/template                 | 43 +++++--------------
 2 files changed, 33 insertions(+), 32 deletions(-)
 create mode 100644 srcpkgs/passwordsafe/patches/__time64_t.patch

diff --git a/srcpkgs/passwordsafe/patches/__time64_t.patch b/srcpkgs/passwordsafe/patches/__time64_t.patch
new file mode 100644
index 00000000000..45b00da201e
--- /dev/null
+++ b/srcpkgs/passwordsafe/patches/__time64_t.patch
@@ -0,0 +1,22 @@
+related issue: https://github.com/pwsafe/pwsafe/issues/563
+
+commit 497246d4beffcd9347b443b1622e4ea64a7b389c
+Author: ronys <ronys@pwsafe.org>
+Date:   Fri Jul 5 22:23:28 2019 +0300
+
+    Fix GH563: broken build on 32 bit gcc 9.1
+
+diff --git src/os/unix/pws_time.h src/os/unix/pws_time.h
+index 4be9ffb90..683cb48b9 100644
+--- src/os/unix/pws_time.h
++++ src/os/unix/pws_time.h
+@@ -14,8 +14,7 @@
+ #include <time.h>
+ #endif
+ 
+-typedef time_t __time32_t;
+-#ifndef __time64_t 
++#if !defined(__time64_t) && !defined(__TIME64_T_TYPE)
+ typedef uint64_t __time64_t;
+ #endif
+ 
diff --git a/srcpkgs/passwordsafe/template b/srcpkgs/passwordsafe/template
index 060338551e1..986de16cfe7 100644
--- a/srcpkgs/passwordsafe/template
+++ b/srcpkgs/passwordsafe/template
@@ -1,6 +1,6 @@
 # Template file for 'passwordsafe'
 pkgname=passwordsafe
-version=1.07BETA
+version=1.08.1BETA
 revision=1
 wrksrc="pwsafe-${version}"
 build_style=cmake
@@ -14,44 +14,23 @@ maintainer="Rui Abreu Ferreira <raf-ep@gmx.com>"
 license="Artistic-2.0"
 homepage="https://pwsafe.org"
 distfiles="https://github.com/pwsafe/pwsafe/archive/${version}.tar.gz>pwsafe-${version}.tar.gz"
-checksum=242c06a9b2685e09fcefa4c8fca09a3f7ab3c38f338e2ca067992e072bdbe2d4
+checksum=2c3648e8189a32c107c7d7bc0527c919db36b3940f19b0e58b37f0f992ea42a7
+
+# wx-config-gtk3 crossbuild handled via wrapper
+if [ -z "$CROSS_BUILD" ]; then
+	configure_args+=" -DwxWidgets_CONFIG_EXECUTABLE=/usr/bin/wx-config-gtk3"
+
+fi
 
 pre_configure() {
 	# ykpers-1 includes are hardcoded, add cross base
 	sed -i -e "s|-I\(/usr/include/ykpers-1\)|-I${XBPS_CROSS_BASE}\1|" CMakeLists.txt
 
-	# workaround for cmake to find wx-config-gtk3
-	# can be removed once there is only one 'wx-config'
-	if [ "$CROSS_BUILD" ]; then
-		# cannot override wxWidgets_CONFIG_EXECUTABLE set in
-		# the cross toolchain file otherwise
-		ln -s ${XBPS_WRAPPERDIR}/wx-config{-gtk3,}
-	else
-		sed -i "1i\set(wxWidgets_CONFIG_EXECUTABLE wx-config-gtk3)" CMakeLists.txt
-	fi
+	# icons in right place
+	sed -i -e "s|share/pixmaps|share/icons/hicolor/48x48/apps|" CMakeLists.txt
 }
 
-do_install() {
-	# use 'passwordsafe' in filenames as much as possible.
-	vbin build/pwsafe passwordsafe
-	vinstall install/desktop/pwsafe.desktop 644 usr/share/applications passwordsafe.desktop
-	vinstall install/graphics/pwsafe.png 644 usr/share/icons/hicolor/48x48/apps passwordsafe.png
-	sed -i -e 's,^\(Exec\|Icon\)=.*,\1=passwordsafe,' ${DESTDIR}/usr/share/applications/passwordsafe.desktop
-
-	# Help files
-	for f in build/help/help*.zip; do
-		vinstall $f 644 usr/share/${pkgname}/help
-	done
-
-	# XML files (format converters)
-	vcopy xml usr/share/${pkgname}
-
+post_install() {
 	vlicense LICENSE
 	vdoc docs/config.txt
-	vman docs/pwsafe.1 passwordsafe.1
-
-	# locales
-	# NB: correspoding locales have to be enabled in /etc/default/libc-locales
-	vmkdir usr/share/locale
-	vcopy build/src/ui/wxWidgets/I18N/mos/* usr/share/locale
 }
